Skip to main content
`Ctrl`+`K`

# DMPlexMetricCreateUniform

Construct a uniform isotropic metric

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricCreateUniform(DM dm, PetscInt f, PetscReal alpha, Vec *metric)

## Input Parameters

- dm - The `DM`

- f - The field number to use

- alpha - Scaling parameter for the diagonal

## Output Parameter

- metric - The uniform metric

## Note

In this case, the metric is constant in space and so is only specified for a single vertex.

## See Also

`DMPLEX`, `DMPlexMetricCreate()`, `DMPlexMetricCreateIsotropic()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages